### org.jfree.layouting.renderer.process

# Class CleanStreamedBoxesStep

- `java.lang.Object`
- - `org.jfree.layouting.renderer.process.IterateVisualProcessStep`
  - - `org.jfree.layouting.renderer.process.CleanStreamedBoxesStep`

`public class CleanStreamedBoxesStep`
`extends IterateVisualProcessStep`

Creation-Date: 27.10.2006, 18:19:24

Author:
  Thomas Morgner

  ## Constructor Summary

  `CleanStreamedBoxesStep()`

  ## Method Summary

  `void`

  `compute(LogicalPageBox pageBox)`

  `protected void`

  `processParagraphChilds(ParagraphRenderBox box)`

  `protected boolean`

  `startBlockLevelBox(RenderBox box)`

  ### Methods inherited from class org.jfree.layouting.renderer.process.IterateVisualProcessStep

  `finishBlockLevelBox`, `finishInlineLevelBox`, `processBlockLevelChild`, `processBlockLevelNode`, `processBoxChilds`, `processFlow`, `processInlineLevelChild`, `processInlineLevelNode`, `processOtherLevelChild`, `processParagraphChilds`, `startBlockLevelBox`, `startInlineLevelBox`, `startProcessing`

## Constructor Details

### CleanStreamedBoxesStep

    public CleanStreamedBoxesStep()

## Method Details

### compute

    public void compute(LogicalPageBox pageBox)

### processParagraphChilds

    protected void processParagraphChilds(ParagraphRenderBox box)

> Overrides:
>   processParagraphChilds in interface IterateVisualProcessStep

### startBlockLevelBox

    protected boolean startBlockLevelBox(RenderBox box)

> Overrides:
>   startBlockLevelBox in interface IterateVisualProcessStep